aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2015-10-13 17:42:46 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2015-10-13 17:45:05 -0500
commit7da72ce487a8d92d992e7fd3db881c198ae02609 (patch)
tree3cd726d05ffb426d680aa6de4a7057eb11f4cdb5
parentfc777aeaf3e6e2d47f4599acfe6c8d1bf5bc760a (diff)
openrc-run.sh: fix new required_* tests to exit properly
-rw-r--r--sh/openrc-run.sh.in2
1 files changed, 2 insertions, 0 deletions
diff --git a/sh/openrc-run.sh.in b/sh/openrc-run.sh.in
index 37ed96fb..8aba4e0e 100644
--- a/sh/openrc-run.sh.in
+++ b/sh/openrc-run.sh.in
@@ -227,6 +227,7 @@ eval "printf '%s\n' $required_dirs" | while read _d; do
exit 1
fi
done
+[ $? -ne 0 ] && exit 1
unset _d
eval "printf '%s\n' $required_files" | while read _f; do
@@ -235,6 +236,7 @@ eval "printf '%s\n' $required_files" | while read _f; do
exit 1
fi
done
+[ $? -ne 0 ] && exit 1
unset _f
if [ -n "$opts" ]; then